/*
    dp : An implementation of the davis puttnam procedure for solving
         propositional satisfiability problems.
    Copyright (C) 1993  Peter Barth

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
/* ------------------------------------------------------------------
  dpio.h
* -------------------------------------------------------------------
  Input / Output  routines for dp
* ---------------------------------------------------------------- */

#ifndef __dpio_h
#define __dpio_h

/* wether '0' is allowed as literal or not, by default yes
 * if '0' is not allowed then '0' is a valid end of clause
 */
extern int allow_zero;

void read_clauses(FILE *);

void write_a_v(silist);
void write_a_c(silist);
void report_problem();
void report_datastructures();


#endif
